% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cfbd_pbp_data.R
\name{cfbd_pbp_data}
\alias{cfbd_pbp_data}
\alias{play-by-play}
\alias{pbp_data}
\title{\strong{Get college football play by play data with cfbfastR expected points/win probability added}}
\usage{
cfbd_pbp_data(
  year,
  season_type = "regular",
  week = 1,
  team = NULL,
  play_type = NULL,
  epa_wpa = FALSE,
  ...
)
}
\arguments{
\item{year}{Select year, (example: 2018)}

\item{season_type}{Select Season Type (regular, postseason, both)}

\item{week}{Select week, this is optional (also numeric)}

\item{team}{Select team name (example: Texas, Texas A&M, Clemson)}

\item{play_type}{Select play type (example: see the \link{cfbd_play_type_df})}

\item{epa_wpa}{Logical parameter (TRUE/FALSE) to return the Expected Points Added/Win Probability Added variables}

\item{...}{Additional arguments passed to an underlying function.}
}
\value{
A data frame with 351 variables:
\describe{
\item{\code{season}: double.}{.}
\item{\code{wk}: double.}{.}
\item{\code{id_play}: character.}{.}
\item{\code{game_id}: integer.}{.}
\item{\code{game_play_number}: double.}{.}
\item{\code{half_play_number}: double.}{.}
\item{\code{pos_team}: character.}{.}
\item{\code{def_pos_team}: character.}{.}
\item{\code{half}: integer.}{.}
\item{\code{period}: integer.}{.}
\item{\code{clock.minutes}: integer.}{.}
\item{\code{clock.seconds}: integer.}{.}
\item{\code{play_type}: character.}{.}
\item{\code{play_text}: character.}{.}
\item{\code{down}: double.}{.}
\item{\code{distance}: double.}{.}
\item{\code{yards_to_goal}: double.}{.}
\item{\code{yards_gained}: double.}{.}
\item{\code{penalty_1st_conv}: logical.}{.}
\item{\code{new_series}: double.}{.}
\item{\code{change_of_pos_team}: double.}{.}
\item{\code{lag_change_of_pos_team}: double.}{.}
\item{\code{orig_play_type}: character.}{.}
\item{\code{lead_play_type}: character.}{.}
\item{\code{lag_play_type}: character.}{.}
\item{\code{lag_play_type2}: character.}{.}
\item{\code{lag_play_type3}: character.}{.}
\item{\code{row}: integer.}{.}
\item{\code{drive_play_number}: double.}{.}
\item{\code{drive_event_number}: double.}{.}
\item{\code{lag_play_text}: character.}{.}
\item{\code{lag_play_text2}: character.}{.}
\item{\code{lead_play_text}: character.}{.}
\item{\code{firstD_by_kickoff}: double.}{.}
\item{\code{firstD_by_poss}: double.}{.}
\item{\code{firstD_by_penalty}: double.}{.}
\item{\code{firstD_by_yards}: double.}{.}
\item{\code{lag_first_by_penalty}: double.}{.}
\item{\code{lag_first_by_penalty2}: double.}{.}
\item{\code{lag_first_by_yards}: double.}{.}
\item{\code{lag_first_by_yards2}: double.}{.}
\item{\code{first_by_penalty}: double.}{.}
\item{\code{first_by_yards}: double.}{.}
\item{\code{play_after_turnover}: double.}{.}
\item{\code{lag_change_of_poss}: double.}{.}
\item{\code{lag_kickoff_play}: double.}{.}
\item{\code{lag_punt}: double.}{.}
\item{\code{lag_scoring_play}: double.}{.}
\item{\code{lag_turnover_vec}: double.}{.}
\item{\code{lag_downs_turnover}: double.}{.}
\item{\code{lag_defense_score_play}: double.}{.}
\item{\code{EPA}: double.}{.}
\item{\code{ep_before}: double.}{.}
\item{\code{ep_after}: double.}{.}
\item{\code{wpa}: double.}{.}
\item{\code{wp_before}: double.}{.}
\item{\code{wp_after}: double.}{.}
\item{\code{def_wp_before}: double.}{.}
\item{\code{def_wp_after}: double.}{.}
\item{\code{penalty_detail}: character.}{.}
\item{\code{yds_penalty}: double.}{.}
\item{\code{downs_turnover}: double.}{.}
\item{\code{turnover}: double.}{.}
\item{\code{pos_score_diff_start}: double.}{.}
\item{\code{pos_score_pts}: double.}{.}
\item{\code{pos_team_score}: integer.}{.}
\item{\code{def_pos_team_score}: integer.}{.}
\item{\code{log_ydstogo}: double.}{.}
\item{\code{ExpScoreDiff}: double.}{.}
\item{\code{ExpScoreDiff_Time_Ratio}: double.}{.}
\item{\code{half_clock.minutes}: double.}{.}
\item{\code{TimeSecsRem}: double.}{.}
\item{\code{adj_TimeSecsRem}: double.}{.}
\item{\code{Goal_To_Go}: logical.}{.}
\item{\code{Under_two}: logical.}{.}
\item{\code{home}: character.}{.}
\item{\code{away}: character.}{.}
\item{\code{home_wp_before}: double.}{.}
\item{\code{away_wp_before}: double.}{.}
\item{\code{home_wp_after}: double.}{.}
\item{\code{away_wp_after}: double.}{.}
\item{\code{end_of_half}: double.}{.}
\item{\code{pos_team_receives_2H_kickoff}: double.}{.}
\item{\code{lead_pos_team}: character.}{.}
\item{\code{lag_pos_team}: character.}{.}
\item{\code{Under_three}: logical.}{.}
\item{\code{down_end}: integer.}{.}
\item{\code{distance_end}: double.}{.}
\item{\code{log_ydstogo_end}: double.}{.}
\item{\code{yards_to_goal_end}: double.}{.}
\item{\code{TimeSecsRem_end}: double.}{.}
\item{\code{Goal_To_Go_end}: logical.}{.}
\item{\code{Under_two_end}: logical.}{.}
\item{\code{def_EPA}: double.}{.}
\item{\code{offense_score_play}: double.}{.}
\item{\code{defense_score_play}: double.}{.}
\item{\code{ppa}: character.}{.}
\item{\code{yard_line}: integer.}{.}
\item{\code{scoring}: logical.}{.}
\item{\code{pos_team_timeouts_rem_before}: double.}{.}
\item{\code{def_pos_team_timeouts_rem_before}: double.}{.}
\item{\code{pos_team_timeouts}: integer.}{.}
\item{\code{def_pos_team_timeouts}: integer.}{.}
\item{\code{pos_score_diff}: integer.}{.}
\item{\code{pos_score_diff_start_end}: double.}{.}
\item{\code{offense_play}: character.}{.}
\item{\code{defense_play}: character.}{.}
\item{\code{offense_receives_2H_kickoff}: double.}{.}
\item{\code{change_of_poss}: double.}{.}
\item{\code{score_pts}: double.}{.}
\item{\code{score_diff_start}: double.}{.}
\item{\code{score_diff}: integer.}{.}
\item{\code{offense_score}: integer.}{.}
\item{\code{defense_score}: integer.}{.}
\item{\code{offense_conference}: character.}{.}
\item{\code{defense_conference}: character.}{.}
\item{\code{off_timeout_called}: double.}{.}
\item{\code{def_timeout_called}: double.}{.}
\item{\code{offense_timeouts}: integer.}{.}
\item{\code{defense_timeouts}: integer.}{.}
\item{\code{off_timeouts_rem_before}: double.}{.}
\item{\code{def_timeouts_rem_before}: double.}{.}
\item{\code{rusher_player_name}: character.}{.}
\item{\code{yds_rushed}: double.}{.}
\item{\code{passer_player_name}: character.}{.}
\item{\code{receiver_player_name}: character.}{.}
\item{\code{yds_receiving}: double.}{.}
\item{\code{yds_sacked}: double.}{.}
\item{\code{sack_players}: character.}{.}
\item{\code{sack_player_name}: character.}{.}
\item{\code{sack_player_name2}: character.}{.}
\item{\code{pass_breakup_player_name}: character.}{.}
\item{\code{interception_player_name}: character.}{.}
\item{\code{yds_int_return}: double.}{.}
\item{\code{fumble_player_name}: character.}{.}
\item{\code{fumble_forced_player_name}: character.}{.}
\item{\code{fumble_recovered_player_name}: character.}{.}
\item{\code{yds_fumble_return}: double.}{.}
\item{\code{punter_player_name}: character.}{.}
\item{\code{yds_punted}: double.}{.}
\item{\code{punt_returner_player_name}: character.}{.}
\item{\code{yds_punt_return}: double.}{.}
\item{\code{yds_punt_gained}: double.}{.}
\item{\code{punt_block_player_name}: character.}{.}
\item{\code{punt_block_return_player_name}: character.}{.}
\item{\code{fg_kicker_player_name}: character.}{.}
\item{\code{yds_fg}: double.}{.}
\item{\code{fg_block_player_name}: character.}{.}
\item{\code{fg_return_player_name}: character.}{.}
\item{\code{kickoff_player_name}: character.}{.}
\item{\code{yds_kickoff}: double.}{.}
\item{\code{kickoff_returner_player_name}: character.}{.}
\item{\code{yds_kickoff_return}: double.}{.}
\item{\code{new_id}: double.}{.}
\item{\code{orig_drive_number}: integer.}{.}
\item{\code{drive_number}: integer.}{.}
\item{\code{drive_result_detailed}: character.}{.}
\item{\code{new_drive_pts}: double.}{.}
\item{\code{drive_id}: double.}{.}
\item{\code{drive_result}: character.}{.}
\item{\code{drive_start_yards_to_goal}: double.}{.}
\item{\code{drive_end_yards_to_goal}: integer.}{.}
\item{\code{drive_yards}: integer.}{.}
\item{\code{drive_scoring}: double.}{.}
\item{\code{drive_pts}: double.}{.}
\item{\code{drive_start_period}: integer.}{.}
\item{\code{drive_end_period}: integer.}{.}
\item{\code{drive_time_minutes_start}: integer.}{.}
\item{\code{drive_time_seconds_start}: integer.}{.}
\item{\code{drive_time_minutes_end}: integer.}{.}
\item{\code{drive_time_seconds_end}: integer.}{.}
\item{\code{drive_time_minutes_elapsed}: integer.}{.}
\item{\code{drive_time_seconds_elapsed}: integer.}{.}
\item{\code{drive_numbers}: double.}{.}
\item{\code{number_of_drives}: double.}{.}
\item{\code{pts_scored}: double.}{.}
\item{\code{drive_result_detailed_flag}: character.}{.}
\item{\code{drive_result2}: character.}{.}
\item{\code{drive_num}: double.}{.}
\item{\code{lag_drive_result_detailed}: character.}{.}
\item{\code{lead_drive_result_detailed}: character.}{.}
\item{\code{lag_new_drive_pts}: double.}{.}
\item{\code{id_drive}: character.}{.}
\item{\code{rush}: double.}{.}
\item{\code{rush_td}: double.}{.}
\item{\code{pass}: double.}{.}
\item{\code{pass_td}: double.}{.}
\item{\code{completion}: double.}{.}
\item{\code{pass_attempt}: double.}{.}
\item{\code{target}: double.}{.}
\item{\code{sack_vec}: double.}{.}
\item{\code{sack}: double.}{.}
\item{\code{int}: double.}{.}
\item{\code{int_td}: double.}{.}
\item{\code{turnover_vec}: double.}{.}
\item{\code{turnover_vec_lag}: double.}{.}
\item{\code{turnover_indicator}: double.}{.}
\item{\code{kickoff_play}: double.}{.}
\item{\code{receives_2H_kickoff}: double.}{.}
\item{\code{missing_yard_flag}: logical.}{.}
\item{\code{scoring_play}: double.}{.}
\item{\code{td_play}: double.}{.}
\item{\code{touchdown}: double.}{.}
\item{\code{safety}: double.}{.}
\item{\code{fumble_vec}: double.}{.}
\item{\code{kickoff_tb}: double.}{.}
\item{\code{kickoff_onside}: double.}{.}
\item{\code{kickoff_oob}: double.}{.}
\item{\code{kickoff_fair_catch}: double.}{.}
\item{\code{kickoff_downed}: double.}{.}
\item{\code{kickoff_safety}: double.}{.}
\item{\code{kick_play}: double.}{.}
\item{\code{punt}: double.}{.}
\item{\code{punt_play}: double.}{.}
\item{\code{punt_tb}: double.}{.}
\item{\code{punt_oob}: double.}{.}
\item{\code{punt_fair_catch}: double.}{.}
\item{\code{punt_downed}: double.}{.}
\item{\code{punt_safety}: double.}{.}
\item{\code{punt_blocked}: double.}{.}
\item{\code{penalty_safety}: double.}{.}
\item{\code{fg_inds}: double.}{.}
\item{\code{fg_made}: logical.}{.}
\item{\code{fg_make_prob}: double.}{.}
\item{\code{home_EPA}: double.}{.}
\item{\code{away_EPA}: double.}{.}
\item{\code{home_EPA_rush}: double.}{.}
\item{\code{away_EPA_rush}: double.}{.}
\item{\code{home_EPA_pass}: double.}{.}
\item{\code{away_EPA_pass}: double.}{.}
\item{\code{total_home_EPA}: double.}{.}
\item{\code{total_away_EPA}: double.}{.}
\item{\code{total_home_EPA_rush}: double.}{.}
\item{\code{total_away_EPA_rush}: double.}{.}
\item{\code{total_home_EPA_pass}: double.}{.}
\item{\code{total_away_EPA_pass}: double.}{.}
\item{\code{net_home_EPA}: double.}{.}
\item{\code{net_away_EPA}: double.}{.}
\item{\code{net_home_EPA_rush}: double.}{.}
\item{\code{net_away_EPA_rush}: double.}{.}
\item{\code{net_home_EPA_pass}: double.}{.}
\item{\code{net_away_EPA_pass}: double.}{.}
\item{\code{success}: double.}{.}
\item{\code{epa_success}: double.}{.}
\item{\code{rz_play}: double.}{.}
\item{\code{scoring_opp}: double.}{.}
\item{\code{middle_8}: logical.}{.}
\item{\code{stuffed_run}: double.}{.}
\item{\code{spread}: double.}{.}
\item{\code{formatted_spread}: character.}{.}
\item{\code{No_Score_before}: double.}{.}
\item{\code{FG_before}: double.}{.}
\item{\code{Opp_FG_before}: double.}{.}
\item{\code{Opp_Safety_before}: double.}{.}
\item{\code{Opp_TD_before}: double.}{.}
\item{\code{Safety_before}: double.}{.}
\item{\code{TD_before}: double.}{.}
\item{\code{No_Score_after}: double.}{.}
\item{\code{FG_after}: double.}{.}
\item{\code{Opp_FG_after}: double.}{.}
\item{\code{Opp_Safety_after}: double.}{.}
\item{\code{Opp_TD_after}: double.}{.}
\item{\code{Safety_after}: double.}{.}
\item{\code{TD_after}: double.}{.}
\item{\code{penalty_flag}: logical.}{.}
\item{\code{penalty_declined}: logical.}{.}
\item{\code{penalty_no_play}: logical.}{.}
\item{\code{penalty_offset}: logical.}{.}
\item{\code{penalty_text}: logical.}{.}
\item{\code{penalty_play_text}: character.}{.}
\item{\code{lead_wp_before2}: double.}{.}
\item{\code{wpa_half_end}: double.}{.}
\item{\code{wpa_base}: double.}{.}
\item{\code{wpa_base_nxt}: double.}{.}
\item{\code{wpa_change}: double.}{.}
\item{\code{wpa_change_nxt}: double.}{.}
\item{\code{wpa_base_ind}: double.}{.}
\item{\code{wpa_base_nxt_ind}: double.}{.}
\item{\code{wpa_change_ind}: double.}{.}
\item{\code{wpa_change_nxt_ind}: double.}{.}
\item{\code{lead_wp_before}: double.}{.}
\item{\code{lead_pos_team2}: character.}{.}
\item{\code{lag_change_of_pos_team2}: double.}{.}
\item{\code{lag_punt2}: double.}{.}
\item{\code{lag_score_diff}: double.}{.}
\item{\code{lag_offense_play}: character.}{.}
\item{\code{lead_offense_play}: character.}{.}
\item{\code{lead_offense_play2}: character.}{.}
\item{\code{lag_pos_score_diff}: double.}{.}
\item{\code{lag_off_timeouts}: double.}{.}
\item{\code{lag_def_timeouts}: double.}{.}
\item{\code{lag_TimeSecsRem2}: double.}{.}
\item{\code{lag_TimeSecsRem}: double.}{.}
\item{\code{lead_TimeSecsRem}: double.}{.}
\item{\code{lead_TimeSecsRem2}: double.}{.}
\item{\code{lag_yards_to_goal2}: integer.}{.}
\item{\code{lag_yards_to_goal}: integer.}{.}
\item{\code{lead_yards_to_goal}: double.}{.}
\item{\code{lead_yards_to_goal2}: integer.}{.}
\item{\code{lag_down2}: double.}{.}
\item{\code{lag_down}: double.}{.}
\item{\code{lead_down}: double.}{.}
\item{\code{lead_down2}: double.}{.}
\item{\code{lead_distance}: double.}{.}
\item{\code{lead_distance2}: integer.}{.}
\item{\code{lead_play_type2}: character.}{.}
\item{\code{lead_play_type3}: character.}{.}
\item{\code{lag_ep_before3}: double.}{.}
\item{\code{lag_ep_before2}: double.}{.}
\item{\code{lag_ep_before}: double.}{.}
\item{\code{lead_ep_before}: double.}{.}
\item{\code{lead_ep_before2}: double.}{.}
\item{\code{lag_ep_after}: double.}{.}
\item{\code{lag_ep_after2}: double.}{.}
\item{\code{lag_ep_after3}: double.}{.}
\item{\code{lead_ep_after}: double.}{.}
\item{\code{lead_ep_after2}: double.}{.}
\item{\code{play_number}: integer.}{.}
\item{\code{over_under}: double.}{.}
\item{\code{event}: double.}{.}
\item{\code{game_event_number}: double.}{.}
\item{\code{game_row_number}: integer.}{.}
\item{\code{half_event}: double.}{.}
\item{\code{half_event_number}: double.}{.}
\item{\code{half_row_number}: integer.}{.}
\item{\code{lag_distance3}: integer.}{.}
\item{\code{lag_distance2}: integer.}{.}
\item{\code{lag_distance}: integer.}{.}
\item{\code{lag_yards_gained3}: integer.}{.}
\item{\code{lag_yards_gained2}: integer.}{.}
\item{\code{lag_yards_gained}: integer.}{.}
\item{\code{lead_yards_gained}: integer.}{.}
\item{\code{lead_yards_gained2}: integer.}{.}
\item{\code{lag_play_text3}: character.}{.}
\item{\code{lead_play_text2}: character.}{.}
\item{\code{lead_play_text3}: character.}{.}
\item{\code{lag_change_of_poss2}: double.}{.}
\item{\code{lag_change_of_poss3}: double.}{.}
\item{\code{lag_change_of_pos_team3}: double.}{.}
\item{\code{lag_kickoff_play2}: double.}{.}
\item{\code{lag_kickoff_play3}: double.}{.}
\item{\code{lag_punt3}: double.}{.}
\item{\code{lag_scoring_play2}: double.}{.}
\item{\code{lag_scoring_play3}: double.}{.}
\item{\code{lag_turnover_vec2}: double.}{.}
\item{\code{lag_turnover_vec3}: double.}{.}
\item{\code{lag_downs_turnover2}: double.}{.}
\item{\code{lag_downs_turnover3}: double.}{.}
\item{\code{drive_event}: double.}{.}
\item{\code{lag_first_by_penalty3}: double.}{.}
\item{\code{lag_first_by_yards3}: double.}{.}
}
}
\description{
Extract college football (D-I) play by play Data - for plays
}
\keyword{Play-by-Play}
